## org.apache.tools.ant.taskdefs.optional.sitraka
Class Triggers

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.sitraka.Triggers

public class Triggers
extends java.lang.Object

Trigger information. It will return as a command line argument by calling the `toString()` method.

Nested Class Summary
`static class` `Triggers.Method` A trigger for the coverage report

Field Summary
`protected java.util.Vector` `triggers`

Constructor Summary
`Triggers()`

Method Summary
`void` `addMethod(Triggers.Method method)` add a method trigger
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### triggers

    protected java.util.Vector triggers

Constructor Detail

### Triggers

    public Triggers()

Method Detail

### addMethod

    public void addMethod(Triggers.Method method)

  add a method trigger

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.